
FreeNAS - Bug #40420

Fix issue with updating jails in new UI

08/01/2018 04:43 PM - Jim Clark

Status: Done   

Priority: No priority   

Assignee: Lola Yang   

Category: GUI (new)   

Target version: 11.2-BETA3   

Seen in: 11.2-BETA2 Needs Merging: No

Severity: New Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

I stopped my jails I created in 11.2 beta1 and selected it to use 11.2 RELEASE instead and click save.  I get a real quick popup that

disappears very quick and I can't see what it says.  The jail is then still using 11.1 RELEASE P8.

Related issues:

Related to FreeNAS - Bug #45028: Show jail edit error message in a dialog in ... Done

Related to FreeNAS - Bug #44834: Retry on pkg install failures to overcome tr... Done

Has duplicate FreeNAS - Bug #41120: iocage update not working in 11.2 Beta 2 Closed

History

#1 - 08/02/2018 10:19 AM - Dru Lavigne

- Private changed from No to Yes

- Reason for Blocked set to Need additional information from Author

Jim: please reproduce then attach a debug (System -> Advanced -> Save Debug) to this ticket.

#2 - 08/02/2018 10:32 AM - Jim Clark

- File debug.tgz added

#3 - 08/02/2018 10:33 AM - Dru Lavigne

- Category changed from OS to Middleware

- Assignee changed from Release Council to William Grzybowski

#4 - 08/02/2018 10:43 AM - Jim Clark

Jim Clark wrote:

I stopped my jails I created in 11.2 beta1 and selected it to use 11.2 RELEASE instead and click save.  I get a real quick popup that disappears

very quick and I can't see what it says.  The jail is then still using 11.2 RELEASE P8.

 

Typo in original description, should read:

The jail is then still using 11.1 RELEASE P8
#5 - 08/02/2018 10:46 AM - William Grzybowski

- Description updated

#6 - 08/02/2018 10:47 AM - William Grzybowski

- Assignee changed from William Grzybowski to Brandon Schneider

- Target version changed from Backlog to 11.2-BETA3

- Reason for Blocked deleted (Need additional information from Author)

Brandon, users are not supposed to select/change RELEASE on jail edit, right?

#7 - 08/02/2018 06:12 PM - Brandon Schneider

- Status changed from Unscreened to Not Started

#8 - 08/02/2018 08:31 PM - Brandon Schneider

- Category changed from Middleware to GUI (new)

- Assignee changed from Brandon Schneider to Erin Clark

AFAIK That is how they upgrade via the GUI, passing to Erin to investigate why it's not happening.

#9 - 08/03/2018 10:21 AM - Erin Clark

- Assignee changed from Erin Clark to Lola Yang

#10 - 08/09/2018 01:08 PM - Lola Yang

- Status changed from Not Started to In Progress

https://github.com/freenas/webui/pull/1124

#11 - 08/13/2018 02:09 PM - William Grzybowski

- Has duplicate Bug #41120: iocage update not working in 11.2 Beta 2 added

#12 - 08/13/2018 03:04 PM - Erin Clark

- Status changed from In Progress to Ready for Testing

#13 - 08/14/2018 03:22 AM - Dru Lavigne

- Subject changed from Updating jails from 11.2Beta1 to use 11.2 OS in 11.2Beta2 does nothing to Fix issue with updating jails in new UI

- Needs Doc changed from Yes to No

- Needs Merging changed from Yes to No

#14 - 08/14/2018 03:22 AM - Dru Lavigne

- File deleted (debug.tgz)

#15 - 08/14/2018 03:23 AM - Dru Lavigne

- Private changed from Yes to No

#16 - 09/05/2018 10:18 AM - Bonnie Follweiler

- File Screen Shot 2018-09-05 at 1.14.07 PM.png added

- File Screen Shot 2018-09-05 at 1.14.24 PM.png added

- Status changed from Ready for Testing to Failed Testing
Test Failed in FreeNAS-11.2-MASTER-201809050856

I installed the jail in FreeNAS 11.2-Beta 1 upgraded to the nightlies and tried to update the release. It shows the spinner for about 10 seconds then it

stays in the window and it doesn't save

#17 - 09/05/2018 10:33 AM - Bonnie Follweiler

Added for clarification: I did a fresh install of FN 11.2-Beta1 - I created the jail selecting Release 11.1. I then updated to the Nightlies, edited the jail,

and selected Release 11.2. I clicked the Save button. The spinner goes around a couple of times but it doesn't save the change and it doesn't close

out the window

#18 - 09/05/2018 11:34 AM - Bonnie Follweiler

- File Screen Shot 2018-09-05 at 2.20.39 PM.png added

- File Screen Shot 2018-09-05 at 2.21.49 PM.png added

On the Mac running Firefox in the New GUI there is no warning that the jail needs to be stopped before it can be edited and it opens the screen to edit

but it wont save the changes

On Firefox/Ghost BSD After stopping the jail, in the Edit screen: switching from an older release (Release 11.1) to a newer release (Release 11.2)

takes a while. After the spinner goes away it stays on the edit screen with an Error alert at the top of the screen: Error occurred, jail not upgraded

If you look at the jails it appears that the jail is on Release 11.2

(screenshots provided)

#19 - 09/05/2018 02:10 PM - Bonnie Follweiler

- File debug.tgz added

#20 - 09/05/2018 02:22 PM - Lola Yang

Bonnie Follweiler wrote:

On the Mac running Firefox in the New GUI there is no warning that the jail needs to be stopped before it can be edited and it opens the screen

to edit but it wont save the changes

 

this part works for me. i use Firefox on my mac, it will popup an warning dialog if the jail is up.

#21 - 09/05/2018 03:38 PM - Lola Yang

On Firefox/Ghost BSD After stopping the jail, in the Edit screen: switching from an older release (Release 11.1) to a newer release (Release

11.2) takes a while. After the spinner goes away it stays on the edit screen with an Error alert at the top of the screen: Error occurred, jail not

upgraded

If you look at the jails it appears that the jail is on Release 11.2

(screenshots provided)

 

I can not reproduce this part too. it works properly for me.
#22 - 09/05/2018 03:39 PM - Erin Clark

I tested this twice, once on my box with Firefox on Linux and it does show the error dialog while the jail is running and does not let me edit it.  When I

stopped the jail and tried upping the release from 11.1 to 11.2 it took a while but eventually succeded in updating the box.  I tested on Lola's box and

it did error out, however looking at the logs it would seem that it just failed in downloading one of the packages (perhaps network timeout?) but it did

not do anything to the jail since it errored there.

Sep  5 10:04:07 freenas /netcli: [ws4py:360] Closing message received (1000) 'b'''

Sep  5 10:04:07 freenas /netcli: [urllib3.connectionpool:208] Starting new HTTP connection (1): 10.250.1.59

Sep  5 10:04:07 freenas /netcli: [urllib3.connectionpool:396] http://10.250.1.59:80 "HEAD / HTTP/1.1" 200 0

Sep  5 17:27:23 freenas /middlewared: [urllib3.connectionpool:824] Starting new HTTPS connection (1): www.free

bsd.org

Sep  5 17:27:24 freenas /middlewared: [urllib3.connectionpool:396] https://www.freebsd.org:443 "GET /security/

unsupported.html HTTP/1.1" 200 21406

Sep  5 17:27:24 freenas /middlewared: [urllib3.connectionpool:208] Starting new HTTP connection (1): download.

freebsd.org

Sep  5 17:27:24 freenas /middlewared: [urllib3.connectionpool:396] http://download.freebsd.org:80 "GET /ftp/re

leases/amd64 HTTP/1.1" 301 178

Sep  5 17:27:24 freenas /middlewared: [urllib3.connectionpool:824] Starting new HTTPS connection (1): download

.freebsd.org

Sep  5 17:27:25 freenas /middlewared: [urllib3.connectionpool:396] https://download.freebsd.org:443 "GET /ftp/

releases/amd64 HTTP/1.1" 301 178

Sep  5 17:27:25 freenas /middlewared: [urllib3.connectionpool:396] https://download.freebsd.org:443 "GET /ftp/

releases/amd64/ HTTP/1.1" 200 None

 

As far as I can tell it is doing the right thing although perhaps we want to reformat how the error is displayed if it fails?

#23 - 09/06/2018 09:27 AM - Dru Lavigne

- Status changed from Failed Testing to Ready for Testing

#25 - 09/06/2018 09:42 AM - Lola Yang

- Related to Bug #45028: Show jail edit error message in a dialog in new UI added

#28 - 09/07/2018 05:55 AM - Bonnie Follweiler

- Related to Bug #44834: Retry on pkg install failures to overcome transient network errors when installing Plugins added

#29 - 09/07/2018 05:56 AM - Bonnie Follweiler

- Status changed from Ready for Testing to Passed Testing
- Needs QA changed from Yes to No

Further fixes are coming on that ticket in RC1

#30 - 09/07/2018 05:56 AM - Dru Lavigne

- Status changed from Passed Testing to Done

Files

Screen Shot 2018-09-05 at 1.14.07 PM.png 18.2 KB 09/05/2018 Bonnie Follweiler

Screen Shot 2018-09-05 at 1.14.24 PM.png 44 KB 09/05/2018 Bonnie Follweiler

Screen Shot 2018-09-05 at 2.20.39 PM.png 62.9 KB 09/05/2018 Bonnie Follweiler

Screen Shot 2018-09-05 at 2.21.49 PM.png 26.5 KB 09/05/2018 Bonnie Follweiler

debug.tgz 129 KB 09/05/2018 Bonnie Follweiler
